Bug 781763 - NullPointerException received from JBoss AS component while attempting content retrieval
NullPointerException received from JBoss AS component while attempting conten...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugin Container, Plugins (Show other bugs)
4.2
Unspecified Unspecified
medium Severity medium (vote)
: ---
: RHQ 4.3.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: 758753 789033
  Show dependency treegraph
 
Reported: 2012-01-14 17:15 EST by Larry O'Leary
Modified: 2013-09-01 05:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 789033 (view as bug list)
Environment:
JON 3.0.0.GA
Last Closed: 2013-09-01 05:57:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2012-01-14 17:15:52 EST
Description of problem:
A fresh JON 3.0.0.GA installation with nothing added to inventory with the following server's showing as NEW resources:

   RHQ Agent (running)
   RHQ Server (running)
   RHQ Server (no longer running)
   PostregeSQL

throws the following NullPointerException in stack trace in the agent log file:

2012-01-14 15:08:29,762 WARN  [Content.discovery-2] (rhq.core.pc.content.ContentDiscoveryRunner)- Exception received from component while attempting content retrieval
java.lang.NullPointerException
	at org.rhq.plugins.jbossas.util.JarContentDelegate.discoverDeployedPackages(JarContentDelegate.java:86)
	at org.rhq.plugins.jbossas.util.JBossASContentFacetDelegate.discoverDeployedPackages(JBossASContentFacetDelegate.java:39)
	at org.rhq.plugins.jbossas.JBossASServerComponent.discoverDeployedPackages(JBossASServerComponent.java:428)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:616)
	at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:552)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
	at java.util.concurrent.FutureTask.run(FutureTask.java:166)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:636)

   

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mike Foley 2012-01-23 15:38:18 EST
documenting verification steps for QE



Setup:
1) Configured RHQ server and RHQ agent

Stimulate
1) Start RHQ server and agent
2) Browse to Inventory -> Discovery Queue
3) Stop RHQ server, stop RHQ agent
4) Rename RHQ server folder to something different
5) Start RHQ server, start RHQ agent
6) Browse to Inventory -> Discovery Queue
7) Import the RHQ server detected in the new directory
8) Browse to agent logs

Verification Steps:
1) Verify that the error reported in the BZ is no longer in the loggs
2) Verify that the RHQ server is correctly imported
3) Verify that after Steps 6 there are two RHQ servers in the discovery queue (the one in the folder before renaming and the one in the folder after the renaming).
Comment 3 Heiko W. Rupp 2013-09-01 05:57:35 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.